gntrequest.h File Reference
Finch (GNT User Interface)

GNT Request API. More...

`#include "request.h"`
`#include "gnt.h"`

Go to the source code of this file.

## Functions
PurpleRequestUiOps * | finch_request_get_ui_ops (void)
| Get the ui-functions. More...
void | finch_request_init (void)
| Perform necessary initializations.
void | finch_request_uninit (void)
| Perform necessary uninitializations.
void | finch_request_save_in_prefs (gpointer null, PurpleRequestFields *fields)
| Save the request fields in preferences where the id attribute of each field is the id of a preference.
GntWidget * | finch_request_field_get_widget (PurpleRequestField *field)
| Create a widget field for a request-field. More...

## Detailed Description

GNT Request API.

Definition in file gntrequest.h.

## Function Documentation

## ◆ finch_request_field_get_widget()

GntWidget* finch_request_field_get_widget | ( | PurpleRequestField * | field | ) |

Create a widget field for a request-field.

Parameters

  field | The request field.

Returns
  A GntWidget for the request field.

Since
  2.4.0

## ◆ finch_request_get_ui_ops()

PurpleRequestUiOps* finch_request_get_ui_ops | ( | void |  | ) |

Get the ui-functions.

Returns
  The PurpleRequestUiOps structure populated with the appropriate functions.